Package io.vertx.rxjava3.openapi.contract

## Class SecurityRequirement

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.SecurityRequirement

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class SecurityRequirement
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A Security requirement is an object that contains the names of the security schemes that apply to the operation. Each name has a list of scopes that apply to the operation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<SecurityRequirement>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityRequirement​(SecurityRequirement delegate)` |
    `SecurityRequirement​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `SecurityRequirement` | `getDelegate()` |
    `Set<String>` | `getNames()` | Return the name at a given index
    `List<String>` | `getScopes​(String name)` | Return the scopes for a given name
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `static SecurityRequirement` | `newInstance​(SecurityRequirement arg)` |
    `int` | `size()` | How many requirements are present
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SecurityRequirement> __TYPE_ARG

  - ### Constructor Detail

    - #### SecurityRequirement

          public SecurityRequirement​(SecurityRequirement delegate)

    - #### SecurityRequirement

          public SecurityRequirement​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SecurityRequirement getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### size

          public int size()

      How many requirements are present
      Returns:
        size

    - #### getNames

          public Set<String> getNames()

      Return the name at a given index
      Returns:
        name

    - #### getScopes

          public List<String> getScopes​(String name)

      Return the scopes for a given name
      Parameters:
        `name` -
      Returns:
        name

    - #### isEmpty

          public boolean isEmpty()

    - #### newInstance

          public static SecurityRequirement newInstance​(SecurityRequirement arg)